# Radio

![](/files/-M-VJlUVmklaYwAqW8ct)

### 🎨 Styles

* **Appearance**
  * **Background color:** select the background color using the [color picker](/apphive-documentacion/reference/estilos/color-picker.md).
  * **Text color**: select text color in the radio element using the [color picker](/apphive-documentacion/reference/estilos/color-picker.md).
* **Dimensions**
  * **Width:** set how wide the radio element is using.
  * **Height:** set how tall the radio element is using.
* **Typography**
  * **Font size:** size of the text that appears on the radio element.
  * **Style**
    * **Normal:** default text display.
    * **Italic:** display the text in italics.
    * **Underlined:** display the text underlined.

### ⚙ Properties

* **Generic properties**
  * **Control name:** you can add a name to the radio element this could be the way to identify this element about another elements.
  * **Enable** [**skeleton loaders**](/apphive-documentacion/reference/estilos/skeleton-loader.md)**:** this tool provides an indication to the user that something is coming but not yet available on the radio element.
  * **Control is hidden:** hide the radio element from the screen.

{% hint style="info" %}
The [**skeleton loader**](/apphive-documentacion/reference/estilos/skeleton-loader.md) component provides a user with a visual indicator that content is coming/loading. This is better received than traditional full-screen loaders.
{% endhint %}

* **Specific Properties**
  * **Option value**: add the options to choice in a list.

### 👆 Events

* **On charge:** the on charge \*\*\*\*event detects when the value of a radio element changes.

### 📝 Writable Properties

* **Items**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/elementos-de-interfaz/formularios/radio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
